Wednesday, December 24, 2008

Upgrading PHP

PHP 5.2.8 has been released for some time, but i didn't just upgrade, because i used specific version during my thesis. Now, when my thesis is finished, i can upgrade all my desktop and laptop to the latest version which fixed quite a lot of bugs and also security vulnerabilities. I added new parameter on the configure, '--with-mcrypt', because the latest version of PHPMyAdmin requires that also. I need to install libmcrypt in order to compile, but it's just an easy step, because the SlackBuild project already has it on their repository.

Too bad i can't upgrade my Windows, because there was an error on the installation script. I wonder why on earth did the bug didn't get fixed up to now. The installer didn't work and i can install PHP 5.2.8 on Windows. Ahh... never mind that. I rarely used Windows anymore, so i got nothing to lose tongue